Rolling back a Snap Pack version

SnapLogic has quarterly Platform and Snap releases. If any of your pipelines stop working due to a new version of a Snap Pack right after a major release, please follow the steps below:

  1. Submit a SnapLogic Support ticket.
  2. Go to elastic.snaplogic.com
  3. Go to Manager --> Snap Packs page
    This page lists the Snaps enabled in your instance of the SnapLogic Elastic Integration Platform, along with their version, type and the number of Snaps they contain.
  4. Expand the drop down menu for the Snap Pack which causes the pipeline to fail, and select the previous version.
    Your pipeline should start executing successfully now.
  5. In the meanwhile, the Support team will work with the DEV team to get the issue resolved and eventually ask you to upgrade that Snap Pack to the newer version which the DEV team will upload to your org.
3 Likes